namespace Guild.Lib;
public class Clock
{
    public int Milliseconds { get; set; } = 0;
    public int Seconds { get; set; } = 0;
    public int Minutes { get; set; } = 0;
    public int Hours { get; set; } = 0;

    public Clock()
    {
        
    }

    public void Tick()
    {
        AddMilliseconds(1);
    }

    public void AddMilliseconds(int amount)
    {
        Milliseconds += amount;
        if(Milliseconds >= 1000)
        {
            Milliseconds = 0;
            AddSeconds(1);
        }
    }

    public void AddSeconds(int amount)
    {
        Seconds += amount;
        if(Seconds >= 60)
        {
            Seconds = 0;
            AddMinutes(1);
        }
    }
    public void AddMinutes(int amount)
    {
        Minutes += amount;
        if(Minutes >= 60)
        {
            Minutes = 0;
            AddHours(1);
        }
    }

    public void AddMinutes(int amount)
    {
        Hours += amount;
    }


}
